using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Orgil;
using System;

namespace Polygon {
    public class PolyFXData {
        public TreeData<string> datas = null;
        public PolyFXData C => new PolyFXData(this);
        public PolyFXData() { }
        public PolyFXData(PolyFXData data) { }
        public PolyFXData Set(TreeData<string> datas) { this.datas = datas; return this; }
    }
    public enum PolyFX {
        Null,
        StylizedExplosionPack_explosion_stylized_large_demonFire, StylizedExplosionPack_explosion_stylized_medium_demonFire, StylizedExplosionPack_explosion_stylized_small_demonFire, StylizedExplosionPack_explosion_stylized_large_jokerFire, StylizedExplosionPack_explosion_stylized_medium_jokerFire, StylizedExplosionPack_explosion_stylized_small_jokerFire, StylizedExplosionPack_explosion_stylized_large_wildFire, StylizedExplosionPack_explosion_stylized_medium_wildFire, StylizedExplosionPack_explosion_stylized_small_wildFire, StylizedExplosionPack_explosion_stylized_large_darkFire, StylizedExplosionPack_explosion_stylized_medium_darkFire, StylizedExplosionPack_explosion_stylized_small_darkFire, StylizedExplosionPack_explosion_stylized_large_originalFire, StylizedExplosionPack_explosion_stylized_medium_originalFire, StylizedExplosionPack_explosion_stylized_small_originalFire, StylizedExplosionPack_explosion_stylized_large_originalFire_noSmoke, StylizedExplosionPack_explosion_stylized_medium_originalFire_noSmoke, StylizedExplosionPack_explosion_stylized_small_originalFire_noSmoke,
        StylizedProjectilePack_Bullet_BlazingRed_Big_Impact, StylizedProjectilePack_Bullet_BlazingRed_Big_MuzzleFlare, StylizedProjectilePack_Bullet_BlazingRed_Big_Projectile, StylizedProjectilePack_Bullet_BlazingRed_Medium_Impact, StylizedProjectilePack_Bullet_BlazingRed_Medium_MuzzleFlare, StylizedProjectilePack_Bullet_BlazingRed_Medium_Projectile, StylizedProjectilePack_Bullet_BlazingRed_Small_Impact, StylizedProjectilePack_Bullet_BlazingRed_Small_MuzzleFlare, StylizedProjectilePack_Bullet_BlazingRed_Small_Projectile, StylizedProjectilePack_Bullet_DemonPurple_Big_Impact, StylizedProjectilePack_Bullet_DemonPurple_Big_MuzzleFlare, StylizedProjectilePack_Bullet_DemonPurple_Big_Projectile, StylizedProjectilePack_Bullet_DemonPurple_Medium_Impact, StylizedProjectilePack_Bullet_DemonPurple_Medium_MuzzleFlare, StylizedProjectilePack_Bullet_DemonPurple_Medium_Projectile, StylizedProjectilePack_Bullet_DemonPurple_Small_Impact, StylizedProjectilePack_Bullet_DemonPurple_Small_MuzzleFlare, StylizedProjectilePack_Bullet_DemonPurple_Small_Projectile, StylizedProjectilePack_Bullet_GoldFire_Big_Impact, StylizedProjectilePack_Bullet_GoldFire_Big_MuzzleFlare, StylizedProjectilePack_Bullet_GoldFire_Big_Projectile, StylizedProjectilePack_Bullet_GoldFire_Medium_Impact, StylizedProjectilePack_Bullet_GoldFire_Medium_MuzzleFlare, StylizedProjectilePack_Bullet_GoldFire_Medium_Projectile, StylizedProjectilePack_Bullet_GoldFire_Small_Impact, StylizedProjectilePack_Bullet_GoldFire_Small_MuzzleFlare, StylizedProjectilePack_Bullet_GoldFire_Small_Projectile, StylizedProjectilePack_Bullet_SilverFlare_Big_Impact, StylizedProjectilePack_Bullet_SilverFlare_Big_MuzzleFlare, StylizedProjectilePack_Bullet_SilverFlare_Big_Projectile, StylizedProjectilePack_Bullet_SilverFlare_Medium_Impact, StylizedProjectilePack_Bullet_SilverFlare_Medium_MuzzleFlare, StylizedProjectilePack_Bullet_SilverFlare_Medium_Projectile, StylizedProjectilePack_Bullet_SilverFlare_Small_Impact, StylizedProjectilePack_Bullet_SilverFlare_Small_MuzzleFlare, StylizedProjectilePack_Bullet_SilverFlare_Small_Projectile, StylizedProjectilePack_Bullet_VenomGreen_Big_Impact, StylizedProjectilePack_Bullet_VenomGreen_Big_MuzzleFlare, StylizedProjectilePack_Bullet_VenomGreen_Big_Projectile, StylizedProjectilePack_Bullet_VenomGreen_Medium_Impact, StylizedProjectilePack_Bullet_VenomGreen_Medium_MuzzleFlare, StylizedProjectilePack_Bullet_VenomGreen_Medium_Projectile, StylizedProjectilePack_Bullet_VenomGreen_Small_Impact, StylizedProjectilePack_Bullet_VenomGreen_Small_MuzzleFlare, StylizedProjectilePack_Bullet_VenomGreen_Small_Projectile, StylizedProjectilePack_bulletShell_ParticleSystem, StylizedProjectilePack_Laser_Blue_Big_Impact, StylizedProjectilePack_Laser_Blue_Big_MuzzleFlare, StylizedProjectilePack_Laser_Blue_Big_Projectile, StylizedProjectilePack_Laser_Blue_Medium_Impact, StylizedProjectilePack_Laser_Blue_Medium_MuzzleFlare, StylizedProjectilePack_Laser_Blue_Medium_Projectile, StylizedProjectilePack_Laser_Blue_Small_Impact, StylizedProjectilePack_Laser_Blue_Small_MuzzleFlare, StylizedProjectilePack_Laser_Blue_Small_Projectile, StylizedProjectilePack_Laser_Green_Big_Impact, StylizedProjectilePack_Laser_Green_Big_MuzzleFlare, StylizedProjectilePack_Laser_Green_Big_Projectile, StylizedProjectilePack_Laser_Green_Medium_Impact, StylizedProjectilePack_Laser_Green_Medium_MuzzleFlare, StylizedProjectilePack_Laser_Green_Medium_Projectile, StylizedProjectilePack_Laser_Green_Small_Impact, StylizedProjectilePack_Laser_Green_Small_MuzzleFlare, StylizedProjectilePack_Laser_Green_Small_Projectile, StylizedProjectilePack_Laser_Orange_Big_Impact, StylizedProjectilePack_Laser_Orange_Big_MuzzleFlare, StylizedProjectilePack_Laser_Orange_Big_Projectile, StylizedProjectilePack_Laser_Orange_Medium_Impact, StylizedProjectilePack_Laser_Orange_Medium_MuzzleFlare, StylizedProjectilePack_Laser_Orange_Medium_Projectile, StylizedProjectilePack_Laser_Orange_Small_Impact, StylizedProjectilePack_Laser_Orange_Small_MuzzleFlare, StylizedProjectilePack_Laser_Orange_Small_Projectile, StylizedProjectilePack_Laser_Purple_Big_Impact, StylizedProjectilePack_Laser_Purple_Big_MuzzleFlare, StylizedProjectilePack_Laser_Purple_Big_Projectile, StylizedProjectilePack_Laser_Purple_Medium_Impact, StylizedProjectilePack_Laser_Purple_Medium_MuzzleFlare, StylizedProjectilePack_Laser_Purple_Medium_Projectile, StylizedProjectilePack_Laser_Purple_Small_Impact, StylizedProjectilePack_Laser_Purple_Small_MuzzleFlare, StylizedProjectilePack_Laser_Purple_Small_Projectile, StylizedProjectilePack_Laser_Red_Big_Impact, StylizedProjectilePack_Laser_Red_Big_MuzzleFlare, StylizedProjectilePack_Laser_Red_Big_Projectile, StylizedProjectilePack_Laser_Red_Medium_Impact, StylizedProjectilePack_Laser_Red_Medium_MuzzleFlare, StylizedProjectilePack_Laser_Red_Medium_Projectile, StylizedProjectilePack_Laser_Red_Small_Impact, StylizedProjectilePack_Laser_Red_Small_MuzzleFlare, StylizedProjectilePack_Laser_Red_Small_Projectile, StylizedProjectilePack_Plasma_LightBlue_Big_Impact, StylizedProjectilePack_Plasma_LightBlue_Big_MuzzleFlare, StylizedProjectilePack_Plasma_LightBlue_Big_Projectile, StylizedProjectilePack_Plasma_LightBlue_Medium_Impact, StylizedProjectilePack_Plasma_LightBlue_Medium_MuzzleFlare, StylizedProjectilePack_Plasma_LightBlue_Medium_Projectile, StylizedProjectilePack_Plasma_LightBlue_Small_Impact, StylizedProjectilePack_Plasma_LightBlue_Small_MuzzleFlare, StylizedProjectilePack_Plasma_LightBlue_Small_Projectile, StylizedProjectilePack_Plasma_OceanBlue_Big_Impact, StylizedProjectilePack_Plasma_OceanBlue_Big_MuzzleFlare, StylizedProjectilePack_Plasma_OceanBlue_Big_Projectile, StylizedProjectilePack_Plasma_OceanBlue_Medium_Impact, StylizedProjectilePack_Plasma_OceanBlue_Medium_MuzzleFlare, StylizedProjectilePack_Plasma_OceanBlue_Medium_Projectile, StylizedProjectilePack_Plasma_OceanBlue_Small_Impact, StylizedProjectilePack_Plasma_OceanBlue_Small_MuzzleFlare, StylizedProjectilePack_Plasma_OceanBlue_Small_Projectile, StylizedProjectilePack_Plasma_PoisonGreen_Big_Impact, StylizedProjectilePack_Plasma_PoisonGreen_Big_MuzzleFlare, StylizedProjectilePack_Plasma_PoisonGreen_Big_Projectile, StylizedProjectilePack_Plasma_PoisonGreen_Medium_Impact, StylizedProjectilePack_Plasma_PoisonGreen_Medium_MuzzleFlare, StylizedProjectilePack_Plasma_PoisonGreen_Medium_Projectile, StylizedProjectilePack_Plasma_PoisonGreen_Small_Impact, StylizedProjectilePack_Plasma_PoisonGreen_Small_MuzzleFlare, StylizedProjectilePack_Plasma_PoisonGreen_Small_Projectile, StylizedProjectilePack_Plasma_PurpleHaze_Big_Impact, StylizedProjectilePack_Plasma_PurpleHaze_Big_MuzzleFlare, StylizedProjectilePack_Plasma_PurpleHaze_Big_Projectile, StylizedProjectilePack_Plasma_PurpleHaze_Medium_Impact, StylizedProjectilePack_Plasma_PurpleHaze_Medium_MuzzleFlare, StylizedProjectilePack_Plasma_PurpleHaze_Medium_Projectile, StylizedProjectilePack_Plasma_PurpleHaze_Small_Impact, StylizedProjectilePack_Plasma_PurpleHaze_Small_MuzzleFlare, StylizedProjectilePack_Plasma_PurpleHaze_Small_Projectile, StylizedProjectilePack_Plasma_RagingRed_Big_Impact, StylizedProjectilePack_Plasma_RagingRed_Big_MuzzleFlare, StylizedProjectilePack_Plasma_RagingRed_Big_Projectile, StylizedProjectilePack_Plasma_RagingRed_Medium_Impact, StylizedProjectilePack_Plasma_RagingRed_Medium_MuzzleFlare, StylizedProjectilePack_Plasma_RagingRed_Medium_Projectile, StylizedProjectilePack_Plasma_RagingRed_Small_Impact, StylizedProjectilePack_Plasma_RagingRed_Small_MuzzleFlare, StylizedProjectilePack_Plasma_RagingRed_Small_Projectile,
        LasersPack_Laser__beam__1, LasersPack_Laser__beam__2, LasersPack_Laser__beam__3, LasersPack_Laser__beam__4, LasersPack_Laser__beam__5, LasersPack_Laser__beam__6, LasersPack_Laser__beam__7, LasersPack_Laser__beam__8, LasersPack_Laser__beam__9, LasersPack_Laser__beam__10,
        AAAProjectiles_Flash__1, AAAProjectiles_Flash__2, AAAProjectiles_Flash__3, AAAProjectiles_Flash__4, AAAProjectiles_Flash__5, AAAProjectiles_Flash__6, AAAProjectiles_Flash__7, AAAProjectiles_Flash__8, AAAProjectiles_Flash__9, AAAProjectiles_Flash__10, AAAProjectiles_Flash__11, AAAProjectiles_Flash__12, AAAProjectiles_Flash__13, AAAProjectiles_Flash__14, AAAProjectiles_Flash__15, AAAProjectiles_Flash__16, AAAProjectiles_Flash__17, AAAProjectiles_Flash__18, AAAProjectiles_Flash__19, AAAProjectiles_Flash__20, AAAProjectiles_Flash__21, AAAProjectiles_Flash__22, AAAProjectiles_Flash__23, AAAProjectiles_Flash__24, AAAProjectiles_Flash__25, AAAProjectiles_Hit__1, AAAProjectiles_Hit__2, AAAProjectiles_Hit__3, AAAProjectiles_Hit__4, AAAProjectiles_Hit__5, AAAProjectiles_Hit__6, AAAProjectiles_Hit__7, AAAProjectiles_Hit__8, AAAProjectiles_Hit__9, AAAProjectiles_Hit__10, AAAProjectiles_Hit__11, AAAProjectiles_Hit__12, AAAProjectiles_Hit__13, AAAProjectiles_Hit__14, AAAProjectiles_Hit__15, AAAProjectiles_Hit__16, AAAProjectiles_Hit__17, AAAProjectiles_Hit__18, AAAProjectiles_Hit__19, AAAProjectiles_Hit__20, AAAProjectiles_Hit__21, AAAProjectiles_Hit__22, AAAProjectiles_Hit__23, AAAProjectiles_Hit__24, AAAProjectiles_Hit__25, AAAProjectiles_Projectile__1_Speed, AAAProjectiles_Projectile__2_Speed, AAAProjectiles_Projectile__3_Speed, AAAProjectiles_Projectile__4_Speed, AAAProjectiles_Projectile__5_Speed, AAAProjectiles_Projectile__6_Speed, AAAProjectiles_Projectile__7_Speed, AAAProjectiles_Projectile__8_Speed, AAAProjectiles_Projectile__9_Speed, AAAProjectiles_Projectile__10_Speed, AAAProjectiles_Projectile__11_Speed, AAAProjectiles_Projectile__12_Speed, AAAProjectiles_Projectile__13_Speed, AAAProjectiles_Projectile__14_Speed, AAAProjectiles_Projectile__15_Speed, AAAProjectiles_Projectile__16_Speed, AAAProjectiles_Projectile__17_Speed, AAAProjectiles_Projectile__18_Speed, AAAProjectiles_Projectile__19_Speed, AAAProjectiles_Projectile__20_Speed, AAAProjectiles_Projectile__21_Speed, AAAProjectiles_Projectile__22_Speed, AAAProjectiles_Projectile__23_Speed, AAAProjectiles_Projectile__24_Speed, AAAProjectiles_Projectile__25_Speed, AAAProjectiles_Projectile__1, AAAProjectiles_Projectile__2, AAAProjectiles_Projectile__3, AAAProjectiles_Projectile__4, AAAProjectiles_Projectile__5, AAAProjectiles_Projectile__6, AAAProjectiles_Projectile__7, AAAProjectiles_Projectile__8, AAAProjectiles_Projectile__9, AAAProjectiles_Projectile__10, AAAProjectiles_Projectile__11, AAAProjectiles_Projectile__12, AAAProjectiles_Projectile__13, AAAProjectiles_Projectile__14, AAAProjectiles_Projectile__15, AAAProjectiles_Projectile__16, AAAProjectiles_Projectile__17, AAAProjectiles_Projectile__18, AAAProjectiles_Projectile__19, AAAProjectiles_Projectile__20, AAAProjectiles_Projectile__21, AAAProjectiles_Projectile__22, AAAProjectiles_Projectile__23, AAAProjectiles_Projectile__24, AAAProjectiles_Projectile__25,
        GlowingOrbsPack_Glowing__orb___lp_Dark_rp_, GlowingOrbsPack_Glowing__orb___lp_Dark_ms_blue_rp_, GlowingOrbsPack_Glowing__orb___lp_Dark_ms_green_rp_, GlowingOrbsPack_Glowing__orb___lp_Dark_ms_orange_rp_, GlowingOrbsPack_Glowing__orb___lp_Dark_ms_pink_rp_, GlowingOrbsPack_Glowing__orb___lp_Dark_ms_red_rp_, GlowingOrbsPack_Glowing__orb___lp_Dark_ms_yellow_rp_, GlowingOrbsPack_Glowing__orb___lp_portal_rp___blue, GlowingOrbsPack_Glowing__orb___lp_portal_rp___green, GlowingOrbsPack_Glowing__orb___lp_portal_rp___orange, GlowingOrbsPack_Glowing__orb___lp_portal_rp___red, GlowingOrbsPack_Glowing__orb__atoms, GlowingOrbsPack_Glowing__orb__rainbow, GlowingOrbsPack_Glowing__orb__rainbow2, GlowingOrbsPack_Glowing__plazma_ms_orb__blue, GlowingOrbsPack_Glowing__plazma_ms_orb__pink, GlowingOrbsPack_Glowing__plazma_ms_orb__white, GlowingOrbsPack_Glowing__orb1_dt_1, GlowingOrbsPack_Glowing__orb1_dt_2, GlowingOrbsPack_Glowing__orb1_dt_3, GlowingOrbsPack_Glowing__orb1_dt_4, GlowingOrbsPack_Glowing__orb2_dt_1, GlowingOrbsPack_Glowing__orb2_dt_2, GlowingOrbsPack_Glowing__orb2_dt_3, GlowingOrbsPack_Glowing__orb2_dt_4, GlowingOrbsPack_Glowing__orb3_dt_1, GlowingOrbsPack_Glowing__orb3_dt_2, GlowingOrbsPack_Glowing__orb3_dt_3, GlowingOrbsPack_Glowing__orb3_dt_4, GlowingOrbsPack_Glowing__orb4_dt_1, GlowingOrbsPack_Glowing__orb4_dt_2, GlowingOrbsPack_Glowing__orb4_dt_3, GlowingOrbsPack_Glowing__orb4_dt_4, GlowingOrbsPack_FireworksEpic,
        EpicToonVFX_Air__attack, EpicToonVFX_BlackHole, EpicToonVFX_Healing, EpicToonVFX_Hit__cuts, EpicToonVFX_Ice__attack, EpicToonVFX_Magic__aura, EpicToonVFX_Sharks__attack, EpicToonVFX_Slash, EpicToonVFX_Toon__expoision, EpicToonVFX_Tornado,
        UniqueProjectilesVolume_vfx_Hit_ArrowBlue, UniqueProjectilesVolume_vfx_Hit_ArrowFire, UniqueProjectilesVolume_vfx_Hit_ArrowGreen, UniqueProjectilesVolume_vfx_Hit_ArrowPoisoned, UniqueProjectilesVolume_vfx_Hit_BubbleBlue, UniqueProjectilesVolume_vfx_Hit_BubbleRose, UniqueProjectilesVolume_vfx_Hit_BulletGreen, UniqueProjectilesVolume_vfx_Hit_BulletOrange, UniqueProjectilesVolume_vfx_Hit_Carrot, UniqueProjectilesVolume_vfx_Hit_Comet_Blue, UniqueProjectilesVolume_vfx_Hit_Comet_Orange, UniqueProjectilesVolume_vfx_Hit_ElectricOrangeBall, UniqueProjectilesVolume_vfx_Hit_ElectricPurpleBall, UniqueProjectilesVolume_vfx_Hit_Feather, UniqueProjectilesVolume_vfx_Hit_Fire, UniqueProjectilesVolume_vfx_Hit_Fireball01, UniqueProjectilesVolume_vfx_Hit_Fireball01Blue, UniqueProjectilesVolume_vfx_Hit_Fireball02, UniqueProjectilesVolume_vfx_Hit_Fireball02Green, UniqueProjectilesVolume_vfx_Hit_FireBlue, UniqueProjectilesVolume_vfx_Hit_LaserBlue, UniqueProjectilesVolume_vfx_Hit_LaserRed, UniqueProjectilesVolume_vfx_Hit_PinkGum, UniqueProjectilesVolume_vfx_Hit_Radioactive, UniqueProjectilesVolume_vfx_Hit_Spell01Orange, UniqueProjectilesVolume_vfx_Hit_Spell01Violet, UniqueProjectilesVolume_vfx_Hit_Spell02Blue, UniqueProjectilesVolume_vfx_Hit_Spell02Green, UniqueProjectilesVolume_vfx_Hit_SpellOrange, UniqueProjectilesVolume_vfx_Hit_SpellViolet, UniqueProjectilesVolume_vfx_Hit_SpinBlue, UniqueProjectilesVolume_vfx_Hit_SpinYellow, UniqueProjectilesVolume_vfx_Hit_SwordFire, UniqueProjectilesVolume_vfx_Hit_SwordIce, UniqueProjectilesVolume_vfx_Hit_ArrowBlue_Mobile, UniqueProjectilesVolume_vfx_Hit_ArrowFire_Mobile, UniqueProjectilesVolume_vfx_Hit_ArrowGreen_Mobile, UniqueProjectilesVolume_vfx_Hit_ArrowPoisoned_Mobile, UniqueProjectilesVolume_vfx_Hit_BubbleBlue_Mobile, UniqueProjectilesVolume_vfx_Hit_BubbleRose_Mobile, UniqueProjectilesVolume_vfx_Hit_BulletGreen_Mobile, UniqueProjectilesVolume_vfx_Hit_BulletOrange_Mobile, UniqueProjectilesVolume_vfx_Hit_Carrot_Mobile, UniqueProjectilesVolume_vfx_Hit_Comet_Blue_Mobile, UniqueProjectilesVolume_vfx_Hit_Comet_Orange_Mobile, UniqueProjectilesVolume_vfx_Hit_ElectricOrangeBall_Mobile, UniqueProjectilesVolume_vfx_Hit_ElectricPurpleBall_Mobile, UniqueProjectilesVolume_vfx_Hit_Feather_Mobile, UniqueProjectilesVolume_vfx_Hit_Fire_Mobile, UniqueProjectilesVolume_vfx_Hit_Fireball01_Mobile, UniqueProjectilesVolume_vfx_Hit_Fireball01Blue_Mobile, UniqueProjectilesVolume_vfx_Hit_Fireball02_Mobile, UniqueProjectilesVolume_vfx_Hit_Fireball02Green_Mobile, UniqueProjectilesVolume_vfx_Hit_FireBlue_Mobile, UniqueProjectilesVolume_vfx_Hit_LaserBlue_Mobile, UniqueProjectilesVolume_vfx_Hit_LaserRed_Mobile, UniqueProjectilesVolume_vfx_Hit_PinkGum_Mobile, UniqueProjectilesVolume_vfx_Hit_Radioactive_Mobile, UniqueProjectilesVolume_vfx_Hit_Spell01Orange_Mobile, UniqueProjectilesVolume_vfx_Hit_Spell01Violet_Mobile, UniqueProjectilesVolume_vfx_Hit_Spell02Blue_Mobile, UniqueProjectilesVolume_vfx_Hit_Spell02Green_Mobile, UniqueProjectilesVolume_vfx_Hit_SpellOrange_Mobile, UniqueProjectilesVolume_vfx_Hit_SpellViolet_Mobile, UniqueProjectilesVolume_vfx_Hit_SpinBlue_Mobile, UniqueProjectilesVolume_vfx_Hit_SpinYellow_Mobile, UniqueProjectilesVolume_vfx_Hit_SwordFire_Mobile, UniqueProjectilesVolume_vfx_Hit_SwordIce_Mobile, UniqueProjectilesVolume_vfx_Muzzle_ArrowBlue, UniqueProjectilesVolume_vfx_Muzzle_ArrowGreen, UniqueProjectilesVolume_vfx_Muzzle_BubbleBlue, UniqueProjectilesVolume_vfx_Muzzle_BubbleRose, UniqueProjectilesVolume_vfx_Muzzle_BulletGreen, UniqueProjectilesVolume_vfx_Muzzle_BulletOrange, UniqueProjectilesVolume_vfx_Muzzle_ElectricOrangeBall, UniqueProjectilesVolume_vfx_Muzzle_ElectricPurpleBall, UniqueProjectilesVolume_vfx_Muzzle_Fire, UniqueProjectilesVolume_vfx_Muzzle_Fireball01, UniqueProjectilesVolume_vfx_Muzzle_Fireball01Blue, UniqueProjectilesVolume_vfx_Muzzle_Fireball02, UniqueProjectilesVolume_vfx_Muzzle_Fireball02Green, UniqueProjectilesVolume_vfx_Muzzle_FireBlue, UniqueProjectilesVolume_vfx_Muzzle_LaserBlue, UniqueProjectilesVolume_vfx_Muzzle_LaserRed, UniqueProjectilesVolume_vfx_Muzzle_Leafs, UniqueProjectilesVolume_vfx_Muzzle_PinkGum, UniqueProjectilesVolume_vfx_Muzzle_Purple, UniqueProjectilesVolume_vfx_Muzzle_Radiocative, UniqueProjectilesVolume_vfx_Muzzle_Spell01Orange, UniqueProjectilesVolume_vfx_Muzzle_Spell01Violet, UniqueProjectilesVolume_vfx_Muzzle_Spell02Blue, UniqueProjectilesVolume_vfx_Muzzle_Spell02Green, UniqueProjectilesVolume_vfx_Muzzle_SpellOrange, UniqueProjectilesVolume_vfx_Muzzle_SpellViolet, UniqueProjectilesVolume_vfx_Muzzle_SpinBlue, UniqueProjectilesVolume_vfx_Muzzle_SpinYellow, UniqueProjectilesVolume_vfx_Muzzle_SwordFire, UniqueProjectilesVolume_vfx_Muzzle_SwordIce, UniqueProjectilesVolume_vfx_Muzzle_ArrowBlue_Mobile, UniqueProjectilesVolume_vfx_Muzzle_ArrowGreen_Mobile, UniqueProjectilesVolume_vfx_Muzzle_BubbleBlue_Mobile, UniqueProjectilesVolume_vfx_Muzzle_BubbleRose_Mobile, UniqueProjectilesVolume_vfx_Muzzle_BulletGreen_Mobile, UniqueProjectilesVolume_vfx_Muzzle_BulletOrange_Mobile, UniqueProjectilesVolume_vfx_Muzzle_ElectricOrangeBall_Mobile, UniqueProjectilesVolume_vfx_Muzzle_ElectricPurpleBall_Mobile, UniqueProjectilesVolume_vfx_Muzzle_Fire_Mobile, UniqueProjectilesVolume_vfx_Muzzle_Fireball01_Mobile, UniqueProjectilesVolume_vfx_Muzzle_Fireball01Blue_Mobile, UniqueProjectilesVolume_vfx_Muzzle_Fireball02_Mobile, UniqueProjectilesVolume_vfx_Muzzle_Fireball02Green_Mobile, UniqueProjectilesVolume_vfx_Muzzle_FireBlue_Mobile, UniqueProjectilesVolume_vfx_Muzzle_LaserBlue_Mobile, UniqueProjectilesVolume_vfx_Muzzle_LaserRed_Mobile, UniqueProjectilesVolume_vfx_Muzzle_Leafs_Mobile, UniqueProjectilesVolume_vfx_Muzzle_PinkGum_Mobile, UniqueProjectilesVolume_vfx_Muzzle_Purple_Mobile, UniqueProjectilesVolume_vfx_Muzzle_Radiocative_Mobile, UniqueProjectilesVolume_vfx_Muzzle_Spell01Orange_Mobile, UniqueProjectilesVolume_vfx_Muzzle_Spell01Violet_Mobile, UniqueProjectilesVolume_vfx_Muzzle_Spell02Blue_Mobile, UniqueProjectilesVolume_vfx_Muzzle_Spell02Green_Mobile, UniqueProjectilesVolume_vfx_Muzzle_SpellOrange_Mobile, UniqueProjectilesVolume_vfx_Muzzle_SpellViolet_Mobile, UniqueProjectilesVolume_vfx_Muzzle_SpinBlue_Mobile, UniqueProjectilesVolume_vfx_Muzzle_SpinYellow_Mobile, UniqueProjectilesVolume_vfx_Muzzle_SwordFire_Mobile, UniqueProjectilesVolume_vfx_Muzzle_SwordIce_Mobile, UniqueProjectilesVolume_vfx_Projectile_ArrowBlue, UniqueProjectilesVolume_vfx_Projectile_ArrowFire, UniqueProjectilesVolume_vfx_Projectile_ArrowGreen, UniqueProjectilesVolume_vfx_Projectile_ArrowPoisoned, UniqueProjectilesVolume_vfx_Projectile_BubbleBlue, UniqueProjectilesVolume_vfx_Projectile_BubbleRose, UniqueProjectilesVolume_vfx_Projectile_BulletGreen, UniqueProjectilesVolume_vfx_Projectile_BulletOrange, UniqueProjectilesVolume_vfx_Projectile_Carrot, UniqueProjectilesVolume_vfx_Projectile_Comet_Blue, UniqueProjectilesVolume_vfx_Projectile_Comet_Orange, UniqueProjectilesVolume_vfx_Projectile_ElectricOrangeBall, UniqueProjectilesVolume_vfx_Projectile_ElectricPurpleBall, UniqueProjectilesVolume_vfx_Projectile_Feather, UniqueProjectilesVolume_vfx_Projectile_Fireball, UniqueProjectilesVolume_vfx_Projectile_Fireball01, UniqueProjectilesVolume_vfx_Projectile_Fireball01Blue, UniqueProjectilesVolume_vfx_Projectile_Fireball02, UniqueProjectilesVolume_vfx_Projectile_Fireball02Green, UniqueProjectilesVolume_vfx_Projectile_FireballBlue, UniqueProjectilesVolume_vfx_Projectile_LaserBlue, UniqueProjectilesVolume_vfx_Projectile_LaserRed, UniqueProjectilesVolume_vfx_Projectile_PinkGum, UniqueProjectilesVolume_vfx_Projectile_RadioactiveBall, UniqueProjectilesVolume_vfx_Projectile_Spell01Orange, UniqueProjectilesVolume_vfx_Projectile_Spell01Violet, UniqueProjectilesVolume_vfx_Projectile_Spell02Blue, UniqueProjectilesVolume_vfx_Projectile_Spell02Green, UniqueProjectilesVolume_vfx_Projectile_SpellOrange, UniqueProjectilesVolume_vfx_Projectile_SpellViolet, UniqueProjectilesVolume_vfx_Projectile_SpinBlue, UniqueProjectilesVolume_vfx_Projectile_SpinYellow, UniqueProjectilesVolume_vfx_Projectile_SwordFire, UniqueProjectilesVolume_vfx_Projectile_SwordIce, UniqueProjectilesVolume_vfx_Projectile_ArrowBlue_Mobile, UniqueProjectilesVolume_vfx_Projectile_ArrowFire_Mobile, UniqueProjectilesVolume_vfx_Projectile_ArrowGreen_Mobile, UniqueProjectilesVolume_vfx_Projectile_ArrowPoisoned_Mobile, UniqueProjectilesVolume_vfx_Projectile_BubbleBlue_Mobile, UniqueProjectilesVolume_vfx_Projectile_BubbleRose_Mobile, UniqueProjectilesVolume_vfx_Projectile_BulletGreen_Mobile, UniqueProjectilesVolume_vfx_Projectile_BulletOrange_Mobile, UniqueProjectilesVolume_vfx_Projectile_Carrot_Mobile, UniqueProjectilesVolume_vfx_Projectile_Comet_Blue_Mobile, UniqueProjectilesVolume_vfx_Projectile_Comet_Orange_Mobile, UniqueProjectilesVolume_vfx_Projectile_ElectricOrangeBall_Mobile, UniqueProjectilesVolume_vfx_Projectile_ElectricPurpleBall_Mobile, UniqueProjectilesVolume_vfx_Projectile_Feather_Mobile, UniqueProjectilesVolume_vfx_Projectile_Fireball_Mobile, UniqueProjectilesVolume_vfx_Projectile_Fireball01_Mobile, UniqueProjectilesVolume_vfx_Projectile_Fireball01Blue_Mobile, UniqueProjectilesVolume_vfx_Projectile_Fireball02_Mobile, UniqueProjectilesVolume_vfx_Projectile_Fireball02Green_Mobile, UniqueProjectilesVolume_vfx_Projectile_FireballBlue_Mobile, UniqueProjectilesVolume_vfx_Projectile_LaserBlue_Mobile, UniqueProjectilesVolume_vfx_Projectile_LaserRed_Mobile, UniqueProjectilesVolume_vfx_Projectile_PinkGum_Mobile, UniqueProjectilesVolume_vfx_Projectile_RadioactiveBall_Mobile, UniqueProjectilesVolume_vfx_Projectile_Spell01Orange_Mobile, UniqueProjectilesVolume_vfx_Projectile_Spell01Violet_Mobile, UniqueProjectilesVolume_vfx_Projectile_Spell02Blue_Mobile, UniqueProjectilesVolume_vfx_Projectile_Spell02Green_Mobile, UniqueProjectilesVolume_vfx_Projectile_SpellOrange_Mobile, UniqueProjectilesVolume_vfx_Projectile_SpellViolet_Mobile, UniqueProjectilesVolume_vfx_Projectile_SpinBlue_Mobile, UniqueProjectilesVolume_vfx_Projectile_SpinYellow_Mobile, UniqueProjectilesVolume_vfx_Projectile_SwordFire_Mobile, UniqueProjectilesVolume_vfx_Projectile_SwordIce_Mobile,
        PolygonParticles_FX_ArtilleryShell_01, PolygonParticles_FX_ArtilleryStrike_01, PolygonParticles_FX_Blizzard_Snow_01, PolygonParticles_FX_BloodSplat_01, PolygonParticles_FX_BloodSplat_Small_01, PolygonParticles_FX_Bubble_01, PolygonParticles_FX_Bubbles_Float_01, PolygonParticles_FX_CannonShot_01, PolygonParticles_FX_Cartoony_Footstep_01, PolygonParticles_FX_Cartoony_Jump_01, PolygonParticles_FX_Cartoony_Jump_Up_01, PolygonParticles_FX_Cartoony_Rings_01, PolygonParticles_FX_Cartoony_Sprint_01, PolygonParticles_FX_Confetti_01, PolygonParticles_FX_Confetti_Falling_01, PolygonParticles_FX_Direction_Arrows_01, PolygonParticles_FX_Direction_Arrows_02, PolygonParticles_FX_Direction_Arrows_03, PolygonParticles_FX_Dust_Big_01, PolygonParticles_FX_Dust_Blowing_Soft_01, PolygonParticles_FX_Dust_Small_01, PolygonParticles_FX_Electricity_01, PolygonParticles_FX_Electricity_02, PolygonParticles_FX_Embers_01, PolygonParticles_FX_ExperienceGain_01, PolygonParticles_FX_Explosion_01, PolygonParticles_FX_Explosion_Body_01, PolygonParticles_FX_Explosion_Body_Bloody_01, PolygonParticles_FX_Explosion_Large_Dark_01, PolygonParticles_FX_Fairy_01, PolygonParticles_FX_Fire_01, PolygonParticles_FX_Fire_Big_01, PolygonParticles_FX_Fire_Big_02, PolygonParticles_FX_Fire_Big_03, PolygonParticles_FX_Fire_Explosion_01, PolygonParticles_FX_Fire_Huge_01, PolygonParticles_FX_Fire_Small_01, PolygonParticles_FX_Fire_Small_02, PolygonParticles_FX_Fire_Small_03, PolygonParticles_FX_Fireball_01, PolygonParticles_FX_Fireball_Shooting_01, PolygonParticles_FX_Fireball_Shooting_Straight_01, PolygonParticles_FX_Fireflies_01, PolygonParticles_FX_Fireworks_01, PolygonParticles_FX_Fireworks_Group_01, PolygonParticles_FX_Fireworks_Large_Red_01, PolygonParticles_FX_Fireworks_Medium_Blue_01, PolygonParticles_FX_Fireworks_Small_Orange_01, PolygonParticles_FX_Flame_Booster_01, PolygonParticles_FX_FlameThrower_01, PolygonParticles_FX_FlameThrower_02, PolygonParticles_FX_Flies_01, PolygonParticles_FX_Fog_Big_01, PolygonParticles_FX_Fog_Small_01, PolygonParticles_FX_GlowSpot_01, PolygonParticles_FX_GlowSpot_02, PolygonParticles_FX_GlowSpot_03, PolygonParticles_FX_Grenade_Explosive_01, PolygonParticles_FX_Grenade_Explosive_Toss_01, PolygonParticles_FX_Grenade_Flash_01, PolygonParticles_FX_Grenade_Flash_Toss_01, PolygonParticles_FX_Grenade_Smoke_01, PolygonParticles_FX_Grenade_Smoke_Toss_01, PolygonParticles_FX_GroundCrack_Blast_01, PolygonParticles_FX_Gunshot_01, PolygonParticles_FX_Gunshot_BarrelSmoke_01, PolygonParticles_FX_Gunshot_Heavy_Repeating_01, PolygonParticles_FX_Gunshot_Heavy_Repeating_Tracers_01, PolygonParticles_FX_Gunshot_Heavy_Repeating_Tracers_Impact_01, PolygonParticles_FX_Gunshot_Heavy_Single_Tracers_01, PolygonParticles_FX_Gunshot_Repeating, PolygonParticles_FX_Gunshot_Shotgun_01, PolygonParticles_FX_Gunshot_Sniper_Line_01, PolygonParticles_FX_Heal_01, PolygonParticles_FX_Heal_02, PolygonParticles_FX_Healing_Cirle_01, PolygonParticles_FX_Healing_Cirle_02, PolygonParticles_FX_Hexagon_01, PolygonParticles_FX_Hexagon_02, PolygonParticles_FX_Impact_Dirt_01, PolygonParticles_FX_Impact_Large_01, PolygonParticles_FX_Impact_Metal_01, PolygonParticles_FX_Impact_Small_01, PolygonParticles_FX_Impact_Stone_01, PolygonParticles_FX_Impact_Water_01, PolygonParticles_FX_Impact_Water_Ripple_01, PolygonParticles_FX_Impact_Wood_01, PolygonParticles_FX_LazerBeam_01, PolygonParticles_FX_Leaves_Blossom_01, PolygonParticles_FX_Leaves_Green_01, PolygonParticles_FX_LevelUp_01, PolygonParticles_FX_LightningStrike_01, PolygonParticles_FX_LightRayCube_01, PolygonParticles_FX_LightRayRound_01, PolygonParticles_FX_Magic_Lights_01, PolygonParticles_FX_MagicBlast_01, PolygonParticles_FX_MagicBlast_02, PolygonParticles_FX_MagicBug_Trails_01, PolygonParticles_FX_Missile_01, PolygonParticles_FX_Money_Coins_01, PolygonParticles_FX_Money_Coins_Burst_01, PolygonParticles_FX_Money_Coins_Shooting_01, PolygonParticles_FX_Money_Notes_01, PolygonParticles_FX_Money_Notes_Burst_01, PolygonParticles_FX_Money_Notes_Shooting_01, PolygonParticles_FX_Pickup_Ammo_01, PolygonParticles_FX_Pickup_Boost_01, PolygonParticles_FX_Pickup_Death_01, PolygonParticles_FX_Pickup_Health_01, PolygonParticles_FX_Pickup_Heart_01, PolygonParticles_FX_Pickup_Question_01, PolygonParticles_FX_Poison_Green_01, PolygonParticles_FX_Poison_Purple_01, PolygonParticles_FX_Portal_Round_01, PolygonParticles_FX_Portal_Sphere_01, PolygonParticles_FX_Portal_Thin_01, PolygonParticles_FX_PowerBeam_01, PolygonParticles_FX_PowerDraw_01, PolygonParticles_FX_PowerDraw_Shoot_01, PolygonParticles_FX_Rain_01, PolygonParticles_FX_Rain_Collision_01, PolygonParticles_FX_RainbowGlow_01, PolygonParticles_FX_RainbowGlow_02, PolygonParticles_FX_RainbowSparkle_01, PolygonParticles_FX_Ritual_Circle_01, PolygonParticles_FX_ShardIce_Explosion_01, PolygonParticles_FX_ShardIce_Shooting_01, PolygonParticles_FX_ShardMagic_Explosion_01, PolygonParticles_FX_ShardMagic_Shooting_01, PolygonParticles_FX_ShardRock_Explosion_01, PolygonParticles_FX_ShardRock_Shooting_01, PolygonParticles_FX_ShardVine_Explosion_01, PolygonParticles_FX_ShardVine_Shooting_01, PolygonParticles_FX_Shell_Ejection_01, PolygonParticles_FX_Shell_Ejection_Large_01, PolygonParticles_FX_Shell_Ejection_Repeating_01, PolygonParticles_FX_Shell_Ejection_Repeating_Large_01, PolygonParticles_FX_Shell_Ejection_Repeating_Small_01, PolygonParticles_FX_Shell_Ejection_Small_01, PolygonParticles_FX_Slash_01, PolygonParticles_FX_Slash_Large_01, PolygonParticles_FX_Smoke_Black_01, PolygonParticles_FX_Smoke_Black_Large_01, PolygonParticles_FX_Smoke_Black_Small_01, PolygonParticles_FX_Smoke_Trail_Large_01, PolygonParticles_FX_Smoke_Trail_Small_01, PolygonParticles_FX_Smoke_White_01, PolygonParticles_FX_Smoke_White_Large_01, PolygonParticles_FX_Smoke_White_Small_01, PolygonParticles_FX_Snow_01, PolygonParticles_FX_Sparkle_Orbit_01, PolygonParticles_FX_Sparkle_Orbit_02, PolygonParticles_FX_Sparkles_Large_01, PolygonParticles_FX_Sparkles_Small_01, PolygonParticles_FX_Sparkles_Trail_01, PolygonParticles_FX_Sparks_01, PolygonParticles_FX_StarStunned_01, PolygonParticles_FX_StarStunned_02, PolygonParticles_FX_Steam_01, PolygonParticles_FX_Steam_02, PolygonParticles_FX_Steam_03, PolygonParticles_FX_SunBeam_Large_01, PolygonParticles_FX_SunBeam_Small_01, PolygonParticles_FX_Swirl_01, PolygonParticles_FX_Swirl_02, PolygonParticles_FX_Swirl_03, PolygonParticles_FX_Swirl_Fast_01, PolygonParticles_FX_SwordSlash_01, PolygonParticles_FX_SwordStab_01, PolygonParticles_FX_Trail_Debris_01, PolygonParticles_FX_Trail_Dust_01, PolygonParticles_FX_Trail_Exhaust_01, PolygonParticles_FX_Trail_Fire_01, PolygonParticles_FX_WaterDrip_01, PolygonParticles_FX_WaterRipple_01, PolygonParticles_FX_Wind_01, PolygonParticles_FX_Wind_Hard_01, PolygonParticles_FX_Wind_Soft_01,
    }

    public partial class Poly : Mb {
        public static PolyFXData Pfd = new PolyFXData();
        public static Dictionary<PolyFX, PolyFXData> PolyFXDic = new Dictionary<PolyFX, PolyFXData>() {
            // EpicToonVFX
            { PolyFX.EpicToonVFX_Air__attack,                                               Pfd.C.Set(new TreeData<string>("#3BFF5AFF", "#3DFF3B80", "#64FF51FF", "#959595FF", "#000000FF", "#6F6F6FFF", "#33FF2FFF", "#52FF40FF", "#000000FF", "#0F0F16FF", "#000000FF")) },
            { PolyFX.EpicToonVFX_BlackHole,                                                 Pfd.C.Set(new TreeData<string>("#5C49FFFF", "#5C49FFFF", "#727BFFFF", "#8577FFFF", "#5C49FF80", "#5C49FF1E", "#595959FF", "#000000FF", "#000000FF", "#8375FFFF", "#000000FF", "#7073FFFF", "#00000000", "#5F60FFFF", "#000000FF", "#8A7CFFFF", "#00000000", "#5C49FFFF", "#8E81FFFF", "#7285FFFF", "#000000FF")) },
            { PolyFX.EpicToonVFX_Healing,                                                   Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#58BE4CFF", "#C0C0C0FF", "#00FF25FF")) },
            { PolyFX.EpicToonVFX_Hit__cuts,                                                 Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#00000000", "#FFFFFFFF", "#848484FF", "#6C0000FF")) },
            { PolyFX.EpicToonVFX_Ice__attack,                                               Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF", "#787878FF", "#9F9F9FFF", "#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF", "#434343FF", "#FFFFFFFF", "#FFFFFFFF", "#C0C0C0FF")) },
            { PolyFX.EpicToonVFX_Magic__aura,                                               Pfd.C.Set(new TreeData<string>("#7D7D7DFF", "#9558FFFF", "#9558FFFF", "#FF2FB0FF", "#FF2FB0FF", "#FFFFFFFF", "#5545FF80", "#FF49C71E", "#FFFFFFFF", "#FFFFFFFF", "#000000FF", "#180B16FF", "#FF77E7FF", "#00000000", "#00000000", "#FFFFFFFF")) },
            { PolyFX.EpicToonVFX_Sharks__attack,                                            Pfd.C.Set(new TreeData<string>("#6599D4FF", "#828282FF", "#A4A4A4FF", "#608EBCFF", "#8C8C8CFF", "#A8A8A8FF", "#8E8E8EFF", "#8E8E8EFF", "#D1D1D1FF", "#BCBCBCFF", "#898989FF", "#848484FF", "#8C8C8CFF", "#426993FF", "#A4A4A4FF")) },
            { PolyFX.EpicToonVFX_Slash,                                                     Pfd.C.Set(new TreeData<string>("#FF6B6BFF", "#FF7979FF", "#FF7979FF", "#00000000", "#FF79792E", "#FF6B6BFF", "#FFA5A5FF", "#FF7979FF")) },
            { PolyFX.EpicToonVFX_Toon__expoision,                                           Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFC99EFF", "#84A0CAFF", "#84A0CAFF", "#84A0CAFF", "#84A0CAFF", "#61A7FFFF", "#C4D3FFFF", "#C4D3FFFF", "#FF7A00FF", "#000000FF", "#000000FF", "#000000FF", "#6A6A6AFF", "#595959FF", "#FFC500FF", "#000000FF", "#FF9700FF", "#767676FF", "#FF9700FF", "#FF8800FF")) },
            { PolyFX.EpicToonVFX_Tornado,                                                   Pfd.C.Set(new TreeData<string>("#84A0CAFF", "#84A0CA50", "#84A0CA50", "#3B64FFFF", "#455EFFFF", "#6F6F6FFF", "#FFFFFFFF", "#FFFFFFFF", "#BDD2FFFF", "#FFFFFFFF", "#84A0CAFF", "#FFFFFFFF")) },
            // PolygonParticles
            { PolyFX.PolygonParticles_FX_ArtilleryShell_01,                                 Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#F4CD7AFF", new TreeData<string>("#F4CD7AFF", ""), new TreeData<string>("#F4CD7AFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#D4D4D4FF")))) },
            { PolyFX.PolygonParticles_FX_ArtilleryStrike_01,                                Pfd.C.Set(new TreeData<string>("#F4CD7AFF", new TreeData<string>("#F4CD7AFF", ""), new TreeData<string>("#F4CD7AFF"), new TreeData<string>("#F4CD7AFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#D4D4D4FF"))) },
            { PolyFX.PolygonParticles_FX_Blizzard_Snow_01,                                  Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFF74")) },
            { PolyFX.PolygonParticles_FX_BloodSplat_01,                                     Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_BloodSplat_Small_01,                               Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Bubble_01,                                         Pfd.C.Set(new TreeData<string>("#60BDFFFF")) },
            { PolyFX.PolygonParticles_FX_Bubbles_Float_01,                                  Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_CannonShot_01,                                     Pfd.C.Set(new TreeData<string>("#F4CD7AFF", new TreeData<string>("#F4CD7AFF", ""), new TreeData<string>("#F4CD7AFF"), new TreeData<string>("#FFFFFFFF"))) },
            { PolyFX.PolygonParticles_FX_Cartoony_Footstep_01,                              Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Cartoony_Jump_01,                                  Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Cartoony_Jump_Up_01,                               Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Cartoony_Rings_01,                                 Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Cartoony_Sprint_01,                                Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Confetti_01,                                       Pfd.C.Set(new TreeData<string>("#00000000", "#FFFFFFFF", "#00000000")) },
            { PolyFX.PolygonParticles_FX_Confetti_Falling_01,                               Pfd.C.Set(new TreeData<string>("#00000000")) },
            { PolyFX.PolygonParticles_FX_Direction_Arrows_01,                               Pfd.C.Set(new TreeData<string>("#FF8400FF", "#FF8400FF", "#FF8400FF")) },
            { PolyFX.PolygonParticles_FX_Direction_Arrows_02,                               Pfd.C.Set(new TreeData<string>("#0076FFFF")) },
            { PolyFX.PolygonParticles_FX_Direction_Arrows_03,                               Pfd.C.Set(new TreeData<string>("#FF0000FF")) },
            { PolyFX.PolygonParticles_FX_Dust_Big_01,                                       Pfd.C.Set(new TreeData<string>("#605342FF")) },
            { PolyFX.PolygonParticles_FX_Dust_Blowing_Soft_01,                              Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Dust_Small_01,                                     Pfd.C.Set(new TreeData<string>("#605342FF")) },
            { PolyFX.PolygonParticles_FX_Electricity_01,                                    Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Electricity_02,                                    Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Embers_01,                                         Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_ExperienceGain_01,                                 Pfd.C.Set(new TreeData<string>("#FFD07CFF")) },
            { PolyFX.PolygonParticles_FX_Explosion_01,                                      Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Explosion_Body_01,                                 Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#510000FF", "#FFFFFFFF", "#B20000FF", "#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Explosion_Body_Bloody_01,                          Pfd.C.Set(new TreeData<string>("#6D0000FF", "#B20000FF", "#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Explosion_Large_Dark_01,                           Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#BDB5A8FF", "#262421FF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fairy_01,                                          Pfd.C.Set(new TreeData<string>("#FFE4A9FF")) },
            { PolyFX.PolygonParticles_FX_Fire_01,                                           Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fire_Big_01,                                       Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fire_Big_02,                                       Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fire_Big_03,                                       Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fire_Explosion_01,                                 Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fire_Huge_01,                                      Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fire_Small_01,                                     Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fire_Small_02,                                     Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fire_Small_03,                                     Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fireball_01,                                       Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFFFFFFF", "#FFFFFFFF"))) },
            { PolyFX.PolygonParticles_FX_Fireball_Shooting_01,                              Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF"), new TreeData<string>("#FFFFFFFF", "#FFFFFFFF"))) },
            { PolyFX.PolygonParticles_FX_Fireball_Shooting_Straight_01,                     Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF"), new TreeData<string>("#FFFFFFFF", "#FFFFFFFF"))) },
            { PolyFX.PolygonParticles_FX_Fireflies_01,                                      Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fireworks_01,                                      Pfd.C.Set(new TreeData<string>("#FFA000FF", "#FF8400FF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fireworks_Group_01,                                Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FF8400FF", "#FF0000FF", "#FF0000FF", "#FFFFFFFF")), new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#0095FFFF", "#0095FFFF", "#0076FFFF", "#FFFFFFFF")), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFA000FF", "#FF8400FF", "#FF8400FF", "#FFFFFFFF"))) },
            { PolyFX.PolygonParticles_FX_Fireworks_Large_Red_01,                            Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FF8400FF", "#FF0000FF", "#FF0000FF", "#FFFFFFFF"))) },
            { PolyFX.PolygonParticles_FX_Fireworks_Medium_Blue_01,                          Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#0095FFFF", "#0095FFFF", "#0076FFFF", "#FFFFFFFF"))) },
            { PolyFX.PolygonParticles_FX_Fireworks_Small_Orange_01,                         Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFA000FF", "#FF8400FF", "#FF8400FF", "#FFFFFFFF"))) },
            { PolyFX.PolygonParticles_FX_Flame_Booster_01,                                  Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_FlameThrower_01,                                   Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_FlameThrower_02,                                   Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Flies_01,                                          Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fog_Big_01,                                        Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Fog_Small_01,                                      Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_GlowSpot_01,                                       Pfd.C.Set(new TreeData<string>("#FF5726FF")) },
            { PolyFX.PolygonParticles_FX_GlowSpot_02,                                       Pfd.C.Set(new TreeData<string>("#4FDBFFFF")) },
            { PolyFX.PolygonParticles_FX_GlowSpot_03,                                       Pfd.C.Set(new TreeData<string>("#5DFF00FF")) },
            { PolyFX.PolygonParticles_FX_Grenade_Explosive_01,                              Pfd.C.Set(new TreeData<string>("#FFE17EFF", "#FFFFFFFF", "#D4D4D4FF", "#FFFFFFFF", "#FFFFFFFF", "")) },
            { PolyFX.PolygonParticles_FX_Grenade_Explosive_Toss_01,                         Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFE17EFF", "#FFFFFFFF", "#D4D4D4FF", "#FFFFFFFF", "#FFFFFFFF", ""))) },
            { PolyFX.PolygonParticles_FX_Grenade_Flash_01,                                  Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF", "")) },
            { PolyFX.PolygonParticles_FX_Grenade_Flash_Toss_01,                             Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF", "#FFFFFF82", ""))) },
            { PolyFX.PolygonParticles_FX_Grenade_Smoke_01,                                  Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Grenade_Smoke_Toss_01,                             Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#DDDDDDFF", "#DDDDDDFF")) },
            { PolyFX.PolygonParticles_FX_GroundCrack_Blast_01,                              Pfd.C.Set(new TreeData<string>("#FF630FFF", "#FFFFFFFF", "#FF630FFF")) },
            { PolyFX.PolygonParticles_FX_Gunshot_01,                                        Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#F4CD7AFF", ""))) },
            { PolyFX.PolygonParticles_FX_Gunshot_BarrelSmoke_01,                            Pfd.C.Set(new TreeData<string>("#00000000")) },
            { PolyFX.PolygonParticles_FX_Gunshot_Heavy_Repeating_01,                        Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#F4CD7AFF", ""))) },
            { PolyFX.PolygonParticles_FX_Gunshot_Heavy_Repeating_Tracers_01,                Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFD07CFF", "#00000000"), new TreeData<string>("#F4CD7AFF", ""))) },
            { PolyFX.PolygonParticles_FX_Gunshot_Heavy_Repeating_Tracers_Impact_01,         Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFE2BF32"), new TreeData<string>("#D6CABDFF", "#BEAB84FF"), new TreeData<string>("#FFD07CFF", "#00000000"), new TreeData<string>("#F4CD7AFF", ""))) },
            { PolyFX.PolygonParticles_FX_Gunshot_Heavy_Single_Tracers_01,                   Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFD07CFF", "#00000000"), new TreeData<string>("#F4CD7AFF", ""))) },
            { PolyFX.PolygonParticles_FX_Gunshot_Repeating,                                 Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#F4CD7AFF", ""))) },
            { PolyFX.PolygonParticles_FX_Gunshot_Shotgun_01,                                Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#F4CD7AFF", ""))) },
            { PolyFX.PolygonParticles_FX_Gunshot_Sniper_Line_01,                            Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFD07CFF", new TreeData<string>("#FFE2BF32"), new TreeData<string>("#D6CABDFF", "#BEAB84FF"), new TreeData<string>("#00000000")), new TreeData<string>("#F4CD7AFF", ""), new TreeData<string>("#F4CD7AFF", ""))) },
            { PolyFX.PolygonParticles_FX_Heal_01,                                           Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Heal_02,                                           Pfd.C.Set(new TreeData<string>("#B7FF72FF", "#7DFF00FF", "#7DFF00A8")) },
            { PolyFX.PolygonParticles_FX_Healing_Cirle_01,                                  Pfd.C.Set(new TreeData<string>("#4FDBFFFF", "#63BFFFFF", "#4FDBFFFF")) },
            { PolyFX.PolygonParticles_FX_Healing_Cirle_02,                                  Pfd.C.Set(new TreeData<string>("#4FDBFFFF", "#4FDBFFFF", "#0095FFFF", "#00ABFFFF")) },
            { PolyFX.PolygonParticles_FX_Hexagon_01,                                        Pfd.C.Set(new TreeData<string>("#FF7900FF")) },
            { PolyFX.PolygonParticles_FX_Hexagon_02,                                        Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Impact_Dirt_01,                                    Pfd.C.Set(new TreeData<string>("#ACACABFF", "#BEAB84FF")) },
            { PolyFX.PolygonParticles_FX_Impact_Large_01,                                   Pfd.C.Set(new TreeData<string>("#E1D7CFFF", "#BEAB84FF")) },
            { PolyFX.PolygonParticles_FX_Impact_Metal_01,                                   Pfd.C.Set(new TreeData<string>("#FFD158FF", "#FFECBCFF")) },
            { PolyFX.PolygonParticles_FX_Impact_Small_01,                                   Pfd.C.Set(new TreeData<string>("#D6CABDFF", "#BEAB84FF")) },
            { PolyFX.PolygonParticles_FX_Impact_Stone_01,                                   Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#BEAB84FF")) },
            { PolyFX.PolygonParticles_FX_Impact_Water_01,                                   Pfd.C.Set(new TreeData<string>("#CAE3FFFF", "#B6D5FFFF")) },
            { PolyFX.PolygonParticles_FX_Impact_Water_Ripple_01,                            Pfd.C.Set(new TreeData<string>("#CAE3FFFF", "#FFFFFF8B", "#B6D5FFFF")) },
            { PolyFX.PolygonParticles_FX_Impact_Wood_01,                                    Pfd.C.Set(new TreeData<string>("#000000FF", "#BEAB84FF")) },
            { PolyFX.PolygonParticles_FX_LazerBeam_01,                                      Pfd.C.Set(new TreeData<string>("#FF921EFF", new TreeData<string>("#FFFFFFFF", "#FF981DFF", "#FFFFFFFF"), new TreeData<string>("#FF8400FF"), new TreeData<string>("#FF9923FF"), new TreeData<string>("#FF8400FF", ""), new TreeData<string>("#FF8400FF"))) },
            { PolyFX.PolygonParticles_FX_Leaves_Blossom_01,                                 Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Leaves_Green_01,                                   Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_LevelUp_01,                                        Pfd.C.Set(new TreeData<string>("#FF883AFF", "#FF883AFF", "#FF883AFF", "#FF883AFF")) },
            { PolyFX.PolygonParticles_FX_LightningStrike_01,                                Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "", "#FFFFFFFF", "#FFFFFFFF", "#FFF4E3FF")) },
            { PolyFX.PolygonParticles_FX_LightRayCube_01,                                   Pfd.C.Set(new TreeData<string>("")) },
            { PolyFX.PolygonParticles_FX_LightRayRound_01,                                  Pfd.C.Set(new TreeData<string>("")) },
            { PolyFX.PolygonParticles_FX_Magic_Lights_01,                                   Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_MagicBlast_01,                                     Pfd.C.Set(new TreeData<string>("#69BBFFFF", "#69BBFFFF")) },
            { PolyFX.PolygonParticles_FX_MagicBlast_02,                                     Pfd.C.Set(new TreeData<string>("#00ABFFFF", "#00ABFFFF")) },
            { PolyFX.PolygonParticles_FX_MagicBug_Trails_01,                                Pfd.C.Set(new TreeData<string>("#FED0FFFF")) },
            { PolyFX.PolygonParticles_FX_Missile_01,                                        Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#F4CD7AFF", new TreeData<string>("#F4CD7AFF", ""), new TreeData<string>("#F4CD7AFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#D4D4D4FF")))) },
            { PolyFX.PolygonParticles_FX_Money_Coins_01,                                    Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Money_Coins_Burst_01,                              Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Money_Coins_Shooting_01,                           Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Money_Notes_01,                                    Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Money_Notes_Burst_01,                              Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Money_Notes_Shooting_01,                           Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Pickup_Ammo_01,                                    Pfd.C.Set(new TreeData<string>("#0095FFFF", "#0095FFFF", "#0095FFFF", "#0095FF8D")) },
            { PolyFX.PolygonParticles_FX_Pickup_Boost_01,                                   Pfd.C.Set(new TreeData<string>("#FF8400FF", "#FF8400FF", "#FF8400FF", "#FF84007B")) },
            { PolyFX.PolygonParticles_FX_Pickup_Death_01,                                   Pfd.C.Set(new TreeData<string>("#A7000048", "#000000FF", "#3E00FFFF", "#000000FF")) },
            { PolyFX.PolygonParticles_FX_Pickup_Health_01,                                  Pfd.C.Set(new TreeData<string>("#68FF00FF", "#7DFF00FF", "#7DFF00FF", "#7DFF0088")) },
            { PolyFX.PolygonParticles_FX_Pickup_Heart_01,                                   Pfd.C.Set(new TreeData<string>("#FF7CFBFF", "#FF7CFBFF", "#FF7CFBFF", "#FF7CFBAD")) },
            { PolyFX.PolygonParticles_FX_Pickup_Question_01,                                Pfd.C.Set(new TreeData<string>("#3E00FFFF", "#3E00FFFF", "#3E00FFFF", "#AE00FF5C")) },
            { PolyFX.PolygonParticles_FX_Poison_Green_01,                                   Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Poison_Purple_01,                                  Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Portal_Round_01,                                   Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Portal_Sphere_01,                                  Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Portal_Thin_01,                                    Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_PowerBeam_01,                                      Pfd.C.Set(new TreeData<string>("#4FDBFFFF", new TreeData<string>("#4FDBFFFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#4FDBFFFF"), new TreeData<string>("#4FDBFF32"), new TreeData<string>("#4FDBFFFF"), new TreeData<string>("#4FDBFFFF", ""), new TreeData<string>("#4FDBFFFF"))) },
            { PolyFX.PolygonParticles_FX_PowerDraw_01,                                      Pfd.C.Set(new TreeData<string>("#60BDFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_PowerDraw_Shoot_01,                                Pfd.C.Set(new TreeData<string>("#60BDFFFF", new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#4FDBFFFF", ""), new TreeData<string>("#4FDBFFFF"), new TreeData<string>("#4FDBFFFF", new TreeData<string>("#4FDBFFFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#4FDBFFFF"), new TreeData<string>("#4FDBFF32"), new TreeData<string>("#4FDBFFFF"), new TreeData<string>("#4FDBFFFF", ""), new TreeData<string>("#4FDBFFFF")))) },
            { PolyFX.PolygonParticles_FX_Rain_01,                                           Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Rain_Collision_01,                                 Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_RainbowGlow_01,                                    Pfd.C.Set(new TreeData<string>("#4FDBFFFF", "#40A0FFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_RainbowGlow_02,                                    Pfd.C.Set(new TreeData<string>("#4FDBFFFF", "#40A0FFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_RainbowSparkle_01,                                 Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Ritual_Circle_01,                                  Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_ShardIce_Explosion_01,                             Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#4FDBFF4C"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#4FDBFFFF"), new TreeData<string>("#4FDBFF4C"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFFFFFFF", "#4FDBFF4C", "#FFFFFFFF", "#FFFFFFFF"))) },
            { PolyFX.PolygonParticles_FX_ShardIce_Shooting_01,                              Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#4FDBFF4C"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#4FDBFF4C"), new TreeData<string>("#4FDBFFFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFFFFFFF", new TreeData<string>("#4FDBFF4C"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#4FDBFFFF"), new TreeData<string>("#FFFFFFFF", "#4FDBFF4C", "#FFFFFFFF", "#FFFFFFFF"), new TreeData<string>("#4FDBFF4C"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFFFFFFF")))) },
            { PolyFX.PolygonParticles_FX_ShardMagic_Explosion_01,                           Pfd.C.Set(new TreeData<string>("#3E00FFFF", new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF", "#3E00FFFF", "#3E00FFFF", "#3E00FFFF"))) },
            { PolyFX.PolygonParticles_FX_ShardMagic_Shooting_01,                            Pfd.C.Set(new TreeData<string>("#3E00FFFF", new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF", new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF"), new TreeData<string>("#3E00FFFF", "#3E00FFFF", "#3E00FFFF", "#3E00FFFF"), new TreeData<string>("#3E00FFFF")))) },
            { PolyFX.PolygonParticles_FX_ShardRock_Explosion_01,                            Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#FFFFFFFF", "#706D67FF", "#706D67FF", "#FFFFFFFF"), new TreeData<string>("#FFFFFFFF"))) },
            { PolyFX.PolygonParticles_FX_ShardRock_Shooting_01,                             Pfd.C.Set(new TreeData<string>("#706D67FF", new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#FFFFFFFF", new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#FFFFFFFF", "#706D67FF", "#706D67FF", "#FFFFFFFF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFFFFFFF")))) },
            { PolyFX.PolygonParticles_FX_ShardVine_Explosion_01,                            Pfd.C.Set(new TreeData<string>("#FFFFFFFF", new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#FFFFFFFF", "#706D67FF", "#706D67FF", "#FFFFFFFF"), new TreeData<string>("#FFFFFFFF"))) },
            { PolyFX.PolygonParticles_FX_ShardVine_Shooting_01,                             Pfd.C.Set(new TreeData<string>("#706D67FF", new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#FFFFFFFF", new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#FFFFFFFF", "#706D67FF", "#706D67FF", "#FFFFFFFF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#706D67FF"), new TreeData<string>("#FFFFFFFF"), new TreeData<string>("#FFFFFFFF")))) },
            { PolyFX.PolygonParticles_FX_Shell_Ejection_01,                                 Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Shell_Ejection_Large_01,                           Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Shell_Ejection_Repeating_01,                       Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Shell_Ejection_Repeating_Large_01,                 Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Shell_Ejection_Repeating_Small_01,                 Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Shell_Ejection_Small_01,                           Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Slash_01,                                          Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Slash_Large_01,                                    Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Smoke_Black_01,                                    Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Smoke_Black_Large_01,                              Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Smoke_Black_Small_01,                              Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Smoke_Trail_Large_01,                              Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Smoke_Trail_Small_01,                              Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Smoke_White_01,                                    Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Smoke_White_Large_01,                              Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Smoke_White_Small_01,                              Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Snow_01,                                           Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Sparkle_Orbit_01,                                  Pfd.C.Set(new TreeData<string>("#FF5726FF")) },
            { PolyFX.PolygonParticles_FX_Sparkle_Orbit_02,                                  Pfd.C.Set(new TreeData<string>("#FF5726FF")) },
            { PolyFX.PolygonParticles_FX_Sparkles_Large_01,                                 Pfd.C.Set(new TreeData<string>("#FFDDA9FF")) },
            { PolyFX.PolygonParticles_FX_Sparkles_Small_01,                                 Pfd.C.Set(new TreeData<string>("#7CDEFFFF")) },
            { PolyFX.PolygonParticles_FX_Sparkles_Trail_01,                                 Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Sparks_01,                                         Pfd.C.Set(new TreeData<string>("#4FDBFFFF", "#4FDBFFFF", "#4FDBFFFF")) },
            { PolyFX.PolygonParticles_FX_StarStunned_01,                                    Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_StarStunned_02,                                    Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Steam_01,                                          Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Steam_02,                                          Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Steam_03,                                          Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_SunBeam_Large_01,                                  Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_SunBeam_Small_01,                                  Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Swirl_01,                                          Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Swirl_02,                                          Pfd.C.Set(new TreeData<string>("#00FF56FF", "#00FF6BFF")) },
            { PolyFX.PolygonParticles_FX_Swirl_03,                                          Pfd.C.Set(new TreeData<string>("#0095FFFF", "#0095FFFF")) },
            { PolyFX.PolygonParticles_FX_Swirl_Fast_01,                                     Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_SwordSlash_01,                                     Pfd.C.Set(new TreeData<string>("#4FDBFFFF", "#4FDBFFFF", "#4FDBFFFF", "#4FDBFFFF", "#4FDBFFFF")) },
            { PolyFX.PolygonParticles_FX_SwordStab_01,                                      Pfd.C.Set(new TreeData<string>("#4FDBFFFF", "#4FDBFFFF", "#4FDBFFFF", "#4FDBFFFF")) },
            { PolyFX.PolygonParticles_FX_Trail_Debris_01,                                   Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Trail_Dust_01,                                     Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Trail_Exhaust_01,                                  Pfd.C.Set(new TreeData<string>("#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_Trail_Fire_01,                                     Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_WaterDrip_01,                                      Pfd.C.Set(new TreeData<string>("#FFFFFFFF", "#FFFFFFFF")) },
            { PolyFX.PolygonParticles_FX_WaterRipple_01,                                    Pfd.C.Set(new TreeData<string>("#FFFFFF8B", "#FFFFFF8B")) },
            { PolyFX.PolygonParticles_FX_Wind_01,                                           Pfd.C.Set(new TreeData<string>("#00000000")) },
            { PolyFX.PolygonParticles_FX_Wind_Hard_01,                                      Pfd.C.Set(new TreeData<string>("#00000000")) },
            { PolyFX.PolygonParticles_FX_Wind_Soft_01,                                      Pfd.C.Set(new TreeData<string>("#00000000")) },
        };
        public static Dictionary<string, string> ReplaceDic = new Dictionary<string, string>() {
            { "_ga_", "`" },  { "_ti_", "~" },  { "_em_", "!" },  { "_at_", "@" },  { "_ns_", "#" },  { "_ds_", "$" }, { "_pe_", "%" },  { "_ca_", "^" },
            { "_am_", "&" },  { "_as_", "*" },  { "_lp_", "(" },  { "_rp_", ")" },  { "_ms_", "-" },  { "_es_", "=" }, { "_ps_", "+" },  { "_lsb_", "[" },
            { "_lcb_", "{" }, { "_rsb_", "]" }, { "_rcb_", "}" }, { "_rs_", "\\" }, { "_vl_", "|" },  { "_se_", ";" }, { "_co_", ":" },  { "_ap_", "'" },
            { "_qu_", "\"" }, { "_cm_", "," },  { "_lts_", "<" }, { "_dt_", "." },  { "_gts_", ">" }, { "_so_", "/" }, { "_qm_", " ?" }, { "__", " " },
        };
        public static TreeData<string> TdPowerBeam(string hex) { return new TreeData<string>(hex, hex, "FFFFFF", hex, hex + "32", hex, hex, hex); }
        // TreeData => PowerDraw, GlowSpot, ...
        public static TreeData<string> TdCol(string hex) { return new TreeData<string>(hex); }
        
        public static string ReplaceName(string name) {
            foreach (var item in ReplaceDic)
                if (name.Contains(item.Key))
                    name = name.Replace(item.Key, item.Value);
            return name;
        }
        public static GameObject GetFxPf(PolyFX fx) {
            string[] arr = fx.tS().Split('_');
            string name = ReplaceName(fx.tS().Split0("_")[1]);
            // Howl Studio
            if (arr[0] == "EpicToonVFX") {
                return A.LoadGo("ErbGameArt/Epic toon VFX/Prefabs/" + name);
            } else if (arr[0] == "GlowingOrbsPack") {
                string folder = name.RgxIsMatch("Glowing orb[234]\\..") || name == "FireworksEpic" ? "Bonus (update v2)/" : "";
                return A.LoadGo("ErbGameArt/Glowing orbs pack/Prefabs/" + folder + name);
            } else if (arr[0] == "AAAProjectiles") {
                string folder = name.IsS("Flash") ? "Flash" : name.IsS("Hit") ? "Hits" : name.IsE("Speed") ? "Projectiles(Speed)" : "Projectiles(transform)";
                return A.LoadGo("ErbGameArt/AAA Projectiles/Prefabs/" + folder + "/" + name.Replace("_Speed", ""));
            } else if (arr[0] == "LasersPack") {
                return A.LoadGo("ErbGameArt/3D Lasers Pack/Prefabs/" + name);
            }
            //Gabriel Aguiar
            else if (arr[0] == "UniqueProjectilesVolume") {
                string folder = (arr[2] == "Hit" ? "Hits" : arr[2] == "Muzzle" ? "Muzzle" : "Projectiles") + (arr.Last() == "Mobile" ? "/Mobile" : "");
                return A.LoadGo("GabrielAguiarProductions/Unique_Projectiles_Volume_1/Prefabs/" + folder + "/" + name);
            }
            // Effectcore
            else if (arr[0] == "StylizedExplosionPack") {
                string end = fx.tS().Split('_').Last(), folder = (end == "demonFire" ? "blue" : end == "jokerFire" ? "funkyMix" : end == "wildFire" ? "green" : end == "darkFire" ? "purple" : end == "originalFire" ? "red" : "red_originalFire") + "_" + end;
                return A.LoadGo("StylizedExplosionPack/explosions/" + folder + "/" + name);
            } else if (arr[0] == "StylizedProjectilePack") {
                string folder = name == "bulletShell_ParticleSystem" ? "shells" : arr[1] + "_" + arr[2] + "/" + arr[1] + "_" + arr[3] + "_" + arr[2];
                return A.LoadGo("StylizedProjectilePack1/prefabs/" + arr[1] + "/" + folder + "/" + name);
            }
            // Synty Studios
            else {
                return A.LoadGo(arr[0] + "/Prefabs/" + name);
            }
        }
    }
}